org.apache.mina.core.session

## Interface IoSessionRecycler

- All Known Implementing Classes:
    ExpiringSessionRecycler

      public interface IoSessionRecycler

  A connectionless transport can recycle existing sessions by assigning an `IoSessionRecycler` to an `IoService`.
  Author:
    Apache MINA Project TODO More documentation

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IoSessionRecycler` | `NOOP` A dummy recycler that doesn't recycle any sessions.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `put(IoSession session)` Called when the underlying transport creates or writes a new `IoSession`.
    `IoSession` | `recycle(SocketAddress remoteAddress)` Attempts to retrieve a recycled `IoSession`.
    `void` | `remove(IoSession session)` Called when an `IoSession` is explicitly closed.

- - ### Field Detail

    - #### NOOP

          static final IoSessionRecycler NOOP

      A dummy recycler that doesn't recycle any sessions. Using this recycler will make all session lifecycle events to be fired for every I/O for all connectionless sessions.

  - ### Method Detail

    - #### put

          void put(IoSession session)

      Called when the underlying transport creates or writes a new `IoSession`.
      Parameters:
        `session` - the new `IoSession`.

    - #### recycle

          IoSession recycle(SocketAddress remoteAddress)

      Attempts to retrieve a recycled `IoSession`.
      Parameters:
        `remoteAddress` - the remote socket address of the `IoSession` the transport wants to recycle.
      Returns:
        a recycled `IoSession`, or null if one cannot be found.

    - #### remove

          void remove(IoSession session)

      Called when an `IoSession` is explicitly closed.
      Parameters:
        `session` - the new `IoSession`.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.